Package com.datecs.fiscalprinter.SDK

# Class FiscalDeviceV2

java.lang.Object
com.datecs.fiscalprinter.SDK.FiscalDeviceV2

Direct Known Subclasses:
  `DP150X_BGR`, `DP25X_BGR`, `FMP350X_BGR`, `FMP55X_BGR`, `FP700X_BGR`, `WP500X_BGR`, `WP50X_BGR`

    public abstract class FiscalDeviceV2
    extends java.lang.Object

Base fiscal device class

This class provides common interface with methods for all Datecs Ltd. fiscal devices supported within this SDK. Because of devices differences in some methods, sometimes you must supply command with extra parameters to match your desired command behaviour. FiscalDevice provide easy methods to set before command execution these extra parameters. For further information, please take a look on your device's documentation.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `FiscalDeviceV2.cmd255Name` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static AbstractTransportProtocol` | `transport` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalDeviceV2​(AbstractTransportProtocol protocol)` |
  `FiscalDeviceV2​(java.io.InputStream input, java.io.OutputStream output)` |
  `FiscalDeviceV2​(java.io.InputStream input, java.io.OutputStream output, int encoding)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `close()` |
  `abstract FiscalResponse` | `command100Variant0Version0​(java.lang.String code)` |
  `abstract FiscalResponse` | `command101Variant0Version0​(java.lang.String operatorCode, java.lang.String oldPassword, java.lang.String newPassword)` |
  `abstract FiscalResponse` | `command103Variant0Version0()` |
  `abstract FiscalResponse` | `command105Variant0Version0​(java.lang.String firstOper, java.lang.String lastOper, java.lang.String clear)` |
  `abstract FiscalResponse` | `command106Variant0Version0​(java.lang.String mSec)` |
  `abstract FiscalResponse` | `command107Variant0Version0()` |
  `abstract FiscalResponse` | `command107Variant1Version0​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String itemName)` |
  `abstract FiscalResponse` | `command107Variant1Version1​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String itemName, java.lang.String unitIndex)` |
  `abstract FiscalResponse` | `command107Variant2Version0​(java.lang.String PLU, java.lang.String quantity)` |
  `abstract FiscalResponse` | `command107Variant3Version0​(java.lang.String startPLU, java.lang.String endPLU)` |
  `abstract FiscalResponse` | `command107Variant3Version1()` |
  `abstract FiscalResponse` | `command107Variant4Version0​(java.lang.String option, java.lang.String PLU)` |
  `abstract FiscalResponse` | `command107Variant5Version0​(java.lang.String option, java.lang.String PLU)` |
  `abstract FiscalResponse` | `command107Variant6Version0​(java.lang.String option)` |
  `abstract FiscalResponse` | `command109Variant0Version0()` |
  `abstract FiscalResponse` | `command110Variant0Version0()` |
  `abstract FiscalResponse` | `command110Variant1Version0()` |
  `abstract FiscalResponse` | `command110Variant2Version0()` |
  `abstract FiscalResponse` | `command110Variant3Version0()` |
  `abstract FiscalResponse` | `command110Variant4Version0()` |
  `abstract FiscalResponse` | `command110Variant5Version0()` |
  `abstract FiscalResponse` | `command111Variant0Version0​(java.lang.String reportType, java.lang.String startPLU, java.lang.String endPLU)` |
  `abstract FiscalResponse` | `command112Variant0Version0​(java.lang.String wpOperator)` |
  `abstract FiscalResponse` | `command116Variant0Version0​(java.lang.String operation, java.lang.String address, java.lang.String nBytes)` |
  `abstract FiscalResponse` | `command123Variant0Version0()` |
  `abstract FiscalResponse` | `command123Variant1Version0()` |
  `abstract FiscalResponse` | `command123Variant3Version0()` |
  `abstract FiscalResponse` | `command123Variant4Version0()` |
  `abstract FiscalResponse` | `command124Variant0Version0​(java.lang.String startDate, java.lang.String endDate, java.lang.String type)` |
  `abstract FiscalResponse` | `command125Variant0Version0​(java.lang.String docNum, java.lang.String recType)` |
  `abstract FiscalResponse` | `command125Variant1Version0​(java.lang.String FirstDoc, java.lang.String LastDoc)` |
  `abstract FiscalResponse` | `command125Variant2Version0​(java.lang.String FirstDoc, java.lang.String LastDoc)` |
  `abstract FiscalResponse` | `command125Variant3Version0​(java.lang.String option, java.lang.String docNum, java.lang.String recType)` |
  `abstract FiscalResponse` | `command127Variant0Version0​(java.lang.String typeOper, java.lang.String stampName)` |
  `abstract FiscalResponse` | `command140Variant0Version0()` |
  `abstract FiscalResponse` | `command140Variant1Version0​(java.lang.String FIRM, java.lang.String Name, java.lang.String TypeTAXN, java.lang.String TAXN, java.lang.String RecName, java.lang.String VATN, java.lang.String Addr1, java.lang.String Addr2)` |
  `abstract FiscalResponse` | `command140Variant2Version0​(java.lang.String firstFIRM, java.lang.String lastFIRM)` |
  `abstract FiscalResponse` | `command140Variant3Version0​(java.lang.String FIRM)` |
  `abstract FiscalResponse` | `command140Variant4Version0​(java.lang.String Option, java.lang.String startOrTAXN)` |
  `abstract FiscalResponse` | `command140Variant5Version0​(java.lang.String Option, java.lang.String startFIRM)` |
  `abstract FiscalResponse` | `command144Variant0Version0​(java.lang.String OperationType, java.lang.String Command)` |
  `abstract FiscalResponse` | `command202Variant0Version0​(java.lang.String data)` |
  `abstract FiscalResponse` | `command202Variant1Version0​(java.lang.String data)` |
  `abstract FiscalResponse` | `command203Variant0Version0​(java.lang.String data)` |
  `abstract FiscalResponse` | `command203Variant1Version0​(java.lang.String data)` |
  `abstract FiscalResponse` | `Command255Read​(FiscalDeviceV2.cmd255Name cmdName, java.lang.String cmdIndex)` |
  `abstract FiscalResponse` | `Command255Write​(FiscalDeviceV2.cmd255Name cmdName, java.lang.String cmdIndex, java.lang.String cmdValue)` |
  `abstract FiscalResponse` | `command33ariant0Version0()` |
  `abstract FiscalResponse` | `command35Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command38Variant0Version0()` |
  `abstract FiscalResponse` | `command39Variant0Version0()` |
  `abstract FiscalResponse` | `command42Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command42Variant1Version0​(java.lang.String text, java.lang.String bold, java.lang.String italic, java.lang.String doubleH, java.lang.String underline, java.lang.String alignment)` |
  `abstract FiscalResponse` | `command43Variant0Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String numberOfFM, java.lang.String Invoice, java.lang.String ToInvoice, java.lang.String Reason, java.lang.String NSale)` |
  `abstract FiscalResponse` | `command44Variant0Version0​(java.lang.String lines)` |
  `abstract FiscalResponse` | `command45Variant0Version0()` |
  `abstract FiscalResponse` | `command46Variant0Version0()` |
  `abstract FiscalResponse` | `command47Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command48Variant0Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String invoice)` |
  `abstract FiscalResponse` | `command48Variant0Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String NSale, java.lang.String tillNmb, java.lang.String invoice)` |
  `abstract FiscalResponse` | `command49Variant0Version0​(java.lang.String pluName, java.lang.String taxCd, java.lang.String price, java.lang.String quantity, java.lang.String discountType, java.lang.String discountValue, java.lang.String department)` |
  `abstract FiscalResponse` | `command49Variant1Version0​(java.lang.String pluName, java.lang.String taxCd, java.lang.String price, java.lang.String quantity, java.lang.String discountType, java.lang.String discountValue, java.lang.String department, java.lang.String unit)` |
  `abstract FiscalResponse` | `command50Variant0Version0()` |
  `abstract FiscalResponse` | `command51Variant0Version0​(java.lang.String print, java.lang.String display, java.lang.String discountType, java.lang.String discountValue)` |
  `abstract FiscalResponse` | `command53Variant0Version0​(java.lang.String paidMode, java.lang.String amount)` |
  `abstract FiscalResponse` | `command53Variant1Version0​(java.lang.String amount, java.lang.String type)` |
  `abstract FiscalResponse` | `command53Variant2Version0​(java.lang.String amount, java.lang.String change)` |
  `abstract FiscalResponse` | `command54Variant0Version0​(java.lang.String text)` |
  `abstract FiscalResponse` | `command54Variant1Version0​(java.lang.String text, java.lang.String bold, java.lang.String italic, java.lang.String doubleH, java.lang.String underline, java.lang.String alignment)` |
  `abstract FiscalResponse` | `command55Variant0Version0​(java.lang.String PayType, java.lang.String Amount, java.lang.String RRN, java.lang.String AC)` |
  `abstract FiscalResponse` | `command55Variant0Version1​(java.lang.String PayType, java.lang.String Amount, java.lang.String Number)` |
  `abstract FiscalResponse` | `command55Variant0Version2​(java.lang.String PayType, java.lang.String Amount)` |
  `abstract FiscalResponse` | `command55Variant2Version0()` |
  `abstract FiscalResponse` | `command55Variant2Version0​(java.lang.String Type, java.lang.String Number)` |
  `abstract FiscalResponse` | `command55Variant3Version0​(java.lang.String Option)` |
  `abstract FiscalResponse` | `command55Variant3Version1​(java.lang.String Operation)` |
  `abstract FiscalResponse` | `command55Variant3Version4​(java.lang.String Amount)` |
  `abstract FiscalResponse` | `command55Variant4Version0​(java.lang.String DateTime)` |
  `abstract FiscalResponse` | `command56Variant0Version0()` |
  `abstract FiscalResponse` | `command57Variant0Version0​(java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2, java.lang.String typeTAXN, java.lang.String tAXN, java.lang.String vATN)` |
  `abstract FiscalResponse` | `command58Variant0Version0​(java.lang.String pluCode, java.lang.String quanity, java.lang.String price, java.lang.String discountType, java.lang.String discountValue)` |
  `abstract FiscalResponse` | `command60Variant0Version0()` |
  `abstract FiscalResponse` | `command61Variant0Version0​(java.lang.String dateTime)` |
  `abstract FiscalResponse` | `command62Variant0Version0()` |
  `abstract FiscalResponse` | `command64Variant0Version0​(java.lang.String type)` |
  `abstract FiscalResponse` | `command65Variant0Version0​(java.lang.String type)` |
  `abstract FiscalResponse` | `command66Variant0Version0​(java.lang.String start, java.lang.String end)` |
  `abstract FiscalResponse` | `command66Variant1Version0​(java.lang.String end)` |
  `abstract FiscalResponse` | `command66Variant2Version0()` |
  `abstract FiscalResponse` | `command68Variant0Version0()` |
  `abstract FiscalResponse` | `command69Variant0Version0​(java.lang.String reportType)` |
  `abstract FiscalResponse` | `command70Variant0Version0​(java.lang.String type, java.lang.String amount)` |
  `abstract FiscalResponse` | `command71Variant0Version0()` |
  `abstract FiscalResponse` | `command71Variant1Version0​(java.lang.String infoType)` |
  `abstract FiscalResponse` | `command72Variant0Version0​(java.lang.String serialNumber, java.lang.String tAXnumber)` |
  `abstract FiscalResponse` | `command74Variant0Version0()` |
  `abstract FiscalResponse` | `command74Variant0Version1()` |
  `abstract FiscalResponse` | `command76Variant0Version0()` |
  `abstract FiscalResponse` | `command80Variant0Version0​(java.lang.String hz, java.lang.String mSec)` |
  `abstract FiscalResponse` | `command83Variant0Version0​(java.lang.String taxA, java.lang.String taxB, java.lang.String taxC, java.lang.String taxD, java.lang.String taxE, java.lang.String taxF, java.lang.String taxG, java.lang.String taxH, java.lang.String decimalPoint)` |
  `abstract FiscalResponse` | `command84Variant0Version0​(java.lang.String barcodeType, java.lang.String barcodeData, java.lang.String qRcodeSize)` |
  `abstract FiscalResponse` | `command84Variant1Version0​(java.lang.String barcodeData, java.lang.String QRcodeSize)` |
  `abstract FiscalResponse` | `command86Variant0Version0()` |
  `abstract FiscalResponse` | `command87Variant0Version0​(java.lang.String itemGroup)` |
  `abstract FiscalResponse` | `command88Variant0Version0​(java.lang.String departmentNumber)` |
  `abstract FiscalResponse` | `command89Variant0Version0​(java.lang.String testType)` |
  `abstract FiscalResponse` | `command90Variant0Version0()` |
  `abstract FiscalResponse` | `command90Variant1Version0()` |
  `abstract FiscalResponse` | `command91Variant0Version0​(java.lang.String serialNumber, java.lang.String fMnumber)` |
  `abstract FiscalResponse` | `command92Variant0Version0​(java.lang.String type)` |
  `abstract FiscalResponse` | `command94Variant0Version0​(java.lang.String type, java.lang.String startDate, java.lang.String endDate)` |
  `abstract FiscalResponse` | `command95Variant0Version0​(java.lang.String type, java.lang.String startNumber, java.lang.String endNumber)` |
  `abstract FiscalResponse` | `command98Variant0Version0​(java.lang.String tAXnumber)` |
  `abstract FiscalResponse` | `command99Variant0Version0()` |
  `java.lang.String` | `customCommand​(int cmd, java.lang.String data)` |
  `abstract java.lang.String` | `detectConnectedModel()` |
  `abstract boolean` | `getCapAutoCutter()` |
  `abstract boolean` | `getcapFontSupported()` |
  `boolean` | `getChkInputParams()` |
  `abstract java.lang.String` | `getCurrentOpCode()` |
  `abstract java.lang.String` | `getDefaultOpPass()` |
  `java.lang.String` | `getDefaultTillNumber()` |
  `FiscalDeviceInfo` | `getInfo()` |
  `static boolean` | `getIsStatusCritical​(int stByte, int stBit)` |
  `byte[]` | `getLastStatus()` |
  `java.lang.Integer` | `getMAX_DEPARTMENT()` |
  `abstract java.lang.Integer` | `getMAX_PLU()` |
  `java.lang.Double` | `getMAX_PRICE()` |
  `int` | `getMaxDisplayText()` |
  `int` | `getMaxFooterLines()` |
  `int` | `getMaxHeaderLines()` |
  `java.lang.Integer` | `getMaxLinesToFeed()` |
  `abstract java.lang.Integer` | `getMaxLogoH()` |
  `abstract java.lang.Integer` | `getMaxLogoW()` |
  `abstract int` | `getMaxNonFiscalText()` |
  `java.lang.Integer` | `getMaxOperators()` |
  `java.lang.Integer` | `getMaxStockGroup()` |
  `abstract int` | `getMaxTextHeaderFooter()` |
  `abstract java.lang.String[]` | `getPrintColumnsSupported()` |
  `boolean` | `getStatusBitBol​(int byteIndex, int bitIndex)` |
  `java.lang.String` | `getStatusBitDescriptionEn​(int byteIndex, int bitIndex)` |
  `abstract boolean` | `iscapFontSupported()` |
  `abstract boolean` | `isCapHasCutter()` |
  `boolean` | `isThrowErrorCode()` |
  `boolean` | `isThrowErrorMessage()` |
  `boolean` | `notDbl​(java.lang.String value)` |
  `boolean` | `notInt​(java.lang.String value)` |
  `byte[]` | `queryStatus()` |
  `void` | `setChkInputParams​(boolean chkInputParams)` |
  `static void` | `setDebugLevel​(java.util.logging.Level level)` |
  `static void` | `setIsStatusCritical​(boolean[][] statusCritical)` |
  `void` | `setThrowErrorCode​(boolean throwErrorCode)` | Adds Error Code in the the exception message
  `void` | `setThrowErrorMessage​(boolean throwErrorMessage)` | Adds Error message in the the exception message
  `double` | `toDouble​(java.lang.String value)` |
  `int` | `toInt​(java.lang.String value)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### transport

    public static AbstractTransportProtocol transport

- ## Constructor Details

  - ### FiscalDeviceV2

    public FiscalDeviceV2​(java.io.InputStream input, java.io.OutputStream output, int encoding)

  - ### FiscalDeviceV2

    public FiscalDeviceV2​(java.io.InputStream input, java.io.OutputStream output)

  - ### FiscalDeviceV2

    public FiscalDeviceV2​(AbstractTransportProtocol protocol)

- ## Method Details

  - ### isThrowErrorCode

    public boolean isThrowErrorCode()

  - ### setThrowErrorCode

    public void setThrowErrorCode​(boolean throwErrorCode)
    Adds Error Code in the the exception message
    Parameters:
      `throwErrorCode` -

  - ### isThrowErrorMessage

    public boolean isThrowErrorMessage()
    Returns:
      true if Error Message in the the exception message

  - ### setThrowErrorMessage

    public void setThrowErrorMessage​(boolean throwErrorMessage)
    Adds Error message in the the exception message
    Parameters:
      `throwErrorMessage` -

  - ### detectConnectedModel

    public abstract java.lang.String detectConnectedModel() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### customCommand

    public final java.lang.String customCommand​(int cmd, java.lang.String data) throws java.lang.UnsupportedOperationException, java.io.IOException, FiscalException
    Throws:
      `java.lang.UnsupportedOperationException`
      `java.io.IOException`
      `FiscalException`

  - ### close

    public final void close()

  - ### setDebugLevel

    public static void setDebugLevel​(java.util.logging.Level level)

  - ### getInfo

    public FiscalDeviceInfo getInfo()

  - ### getChkInputParams

    public boolean getChkInputParams()

  - ### notInt

    public boolean notInt​(java.lang.String value)

  - ### notDbl

    public boolean notDbl​(java.lang.String value)

  - ### toInt

    public int toInt​(java.lang.String value)

  - ### toDouble

    public double toDouble​(java.lang.String value)

  - ### getLastStatus

    public byte[] getLastStatus()

  - ### queryStatus

    public byte[] queryStatus() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getStatusBitBol

    public boolean getStatusBitBol​(int byteIndex, int bitIndex)

  - ### command100Variant0Version0

    public abstract FiscalResponse command100Variant0Version0​(java.lang.String code) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command101Variant0Version0

    public abstract FiscalResponse command101Variant0Version0​(java.lang.String operatorCode, java.lang.String oldPassword, java.lang.String newPassword) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command103Variant0Version0

    public abstract FiscalResponse command103Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command105Variant0Version0

    public abstract FiscalResponse command105Variant0Version0​(java.lang.String firstOper, java.lang.String lastOper, java.lang.String clear) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command106Variant0Version0

    public abstract FiscalResponse command106Variant0Version0​(java.lang.String mSec) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant0Version0

    public abstract FiscalResponse command107Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant1Version0

    public abstract FiscalResponse command107Variant1Version0​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String itemName) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant1Version1

    public abstract FiscalResponse command107Variant1Version1​(java.lang.String PLU, java.lang.String taxGr, java.lang.String dep, java.lang.String group, java.lang.String priceType, java.lang.String price, java.lang.String addQty, java.lang.String quantity, java.lang.String bar1, java.lang.String bar2, java.lang.String bar3, java.lang.String bar4, java.lang.String itemName, java.lang.String unitIndex) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command107Variant2Version0

    public abstract FiscalResponse command107Variant2Version0​(java.lang.String PLU, java.lang.String quantity) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant3Version0

    public abstract FiscalResponse command107Variant3Version0​(java.lang.String startPLU, java.lang.String endPLU) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant3Version1

    public abstract FiscalResponse command107Variant3Version1() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant4Version0

    public abstract FiscalResponse command107Variant4Version0​(java.lang.String option, java.lang.String PLU) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant5Version0

    public abstract FiscalResponse command107Variant5Version0​(java.lang.String option, java.lang.String PLU) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command107Variant6Version0

    public abstract FiscalResponse command107Variant6Version0​(java.lang.String option) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command109Variant0Version0

    public abstract FiscalResponse command109Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command110Variant0Version0

    public abstract FiscalResponse command110Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command110Variant1Version0

    public abstract FiscalResponse command110Variant1Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command110Variant2Version0

    public abstract FiscalResponse command110Variant2Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command110Variant3Version0

    public abstract FiscalResponse command110Variant3Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command110Variant4Version0

    public abstract FiscalResponse command110Variant4Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command110Variant5Version0

    public abstract FiscalResponse command110Variant5Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command111Variant0Version0

    public abstract FiscalResponse command111Variant0Version0​(java.lang.String reportType, java.lang.String startPLU, java.lang.String endPLU) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command112Variant0Version0

    public abstract FiscalResponse command112Variant0Version0​(java.lang.String wpOperator) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command116Variant0Version0

    public abstract FiscalResponse command116Variant0Version0​(java.lang.String operation, java.lang.String address, java.lang.String nBytes) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command123Variant0Version0

    public abstract FiscalResponse command123Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command123Variant1Version0

    public abstract FiscalResponse command123Variant1Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command123Variant3Version0

    public abstract FiscalResponse command123Variant3Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command123Variant4Version0

    public abstract FiscalResponse command123Variant4Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command124Variant0Version0

    public abstract FiscalResponse command124Variant0Version0​(java.lang.String startDate, java.lang.String endDate, java.lang.String type) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command125Variant0Version0

    public abstract FiscalResponse command125Variant0Version0​(java.lang.String docNum, java.lang.String recType) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command125Variant1Version0

    public abstract FiscalResponse command125Variant1Version0​(java.lang.String FirstDoc, java.lang.String LastDoc) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command125Variant2Version0

    public abstract FiscalResponse command125Variant2Version0​(java.lang.String FirstDoc, java.lang.String LastDoc) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command125Variant3Version0

    public abstract FiscalResponse command125Variant3Version0​(java.lang.String option, java.lang.String docNum, java.lang.String recType) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command33ariant0Version0

    public abstract FiscalResponse command33ariant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command35Variant0Version0

    public abstract FiscalResponse command35Variant0Version0​(java.lang.String text) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command38Variant0Version0

    public abstract FiscalResponse command38Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command39Variant0Version0

    public abstract FiscalResponse command39Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command42Variant0Version0

    public abstract FiscalResponse command42Variant0Version0​(java.lang.String text) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command46Variant0Version0

    public abstract FiscalResponse command46Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command44Variant0Version0

    public abstract FiscalResponse command44Variant0Version0​(java.lang.String lines) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command45Variant0Version0

    public abstract FiscalResponse command45Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command47Variant0Version0

    public abstract FiscalResponse command47Variant0Version0​(java.lang.String text) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command48Variant0Version0

    public abstract FiscalResponse command48Variant0Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String invoice) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command48Variant0Version0

    public abstract FiscalResponse command48Variant0Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String NSale, java.lang.String tillNmb, java.lang.String invoice) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command49Variant1Version0

    public abstract FiscalResponse command49Variant1Version0​(java.lang.String pluName, java.lang.String taxCd, java.lang.String price, java.lang.String quantity, java.lang.String discountType, java.lang.String discountValue, java.lang.String department, java.lang.String unit) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command49Variant0Version0

    public abstract FiscalResponse command49Variant0Version0​(java.lang.String pluName, java.lang.String taxCd, java.lang.String price, java.lang.String quantity, java.lang.String discountType, java.lang.String discountValue, java.lang.String department) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command50Variant0Version0

    public abstract FiscalResponse command50Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command51Variant0Version0

    public abstract FiscalResponse command51Variant0Version0​(java.lang.String print, java.lang.String display, java.lang.String discountType, java.lang.String discountValue) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command53Variant0Version0

    public abstract FiscalResponse command53Variant0Version0​(java.lang.String paidMode, java.lang.String amount) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command53Variant1Version0

    public abstract FiscalResponse command53Variant1Version0​(java.lang.String amount, java.lang.String type) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command53Variant2Version0

    public abstract FiscalResponse command53Variant2Version0​(java.lang.String amount, java.lang.String change) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command54Variant0Version0

    public abstract FiscalResponse command54Variant0Version0​(java.lang.String text) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command54Variant1Version0

    public abstract FiscalResponse command54Variant1Version0​(java.lang.String text, java.lang.String bold, java.lang.String italic, java.lang.String doubleH, java.lang.String underline, java.lang.String alignment) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant0Version0

    public abstract FiscalResponse command55Variant0Version0​(java.lang.String PayType, java.lang.String Amount, java.lang.String RRN, java.lang.String AC) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant0Version1

    public abstract FiscalResponse command55Variant0Version1​(java.lang.String PayType, java.lang.String Amount, java.lang.String Number) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant0Version2

    public abstract FiscalResponse command55Variant0Version2​(java.lang.String PayType, java.lang.String Amount) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant2Version0

    public abstract FiscalResponse command55Variant2Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant2Version0

    public abstract FiscalResponse command55Variant2Version0​(java.lang.String Type, java.lang.String Number) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant3Version0

    public abstract FiscalResponse command55Variant3Version0​(java.lang.String Option) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command55Variant3Version1

    public abstract FiscalResponse command55Variant3Version1​(java.lang.String Operation) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command55Variant3Version4

    public abstract FiscalResponse command55Variant3Version4​(java.lang.String Amount) throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command55Variant4Version0

    public abstract FiscalResponse command55Variant4Version0​(java.lang.String DateTime) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command56Variant0Version0

    public abstract FiscalResponse command56Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command57Variant0Version0

    public abstract FiscalResponse command57Variant0Version0​(java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2, java.lang.String typeTAXN, java.lang.String tAXN, java.lang.String vATN) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command58Variant0Version0

    public abstract FiscalResponse command58Variant0Version0​(java.lang.String pluCode, java.lang.String quanity, java.lang.String price, java.lang.String discountType, java.lang.String discountValue) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command60Variant0Version0

    public abstract FiscalResponse command60Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command61Variant0Version0

    public abstract FiscalResponse command61Variant0Version0​(java.lang.String dateTime) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command62Variant0Version0

    public abstract FiscalResponse command62Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command64Variant0Version0

    public abstract FiscalResponse command64Variant0Version0​(java.lang.String type) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command65Variant0Version0

    public abstract FiscalResponse command65Variant0Version0​(java.lang.String type) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command66Variant0Version0

    public abstract FiscalResponse command66Variant0Version0​(java.lang.String start, java.lang.String end) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command66Variant1Version0

    public abstract FiscalResponse command66Variant1Version0​(java.lang.String end) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command66Variant2Version0

    public abstract FiscalResponse command66Variant2Version0() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command68Variant0Version0

    public abstract FiscalResponse command68Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command69Variant0Version0

    public abstract FiscalResponse command69Variant0Version0​(java.lang.String reportType) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command70Variant0Version0

    public abstract FiscalResponse command70Variant0Version0​(java.lang.String type, java.lang.String amount) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command71Variant0Version0

    public abstract FiscalResponse command71Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command71Variant1Version0

    public abstract FiscalResponse command71Variant1Version0​(java.lang.String infoType) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command72Variant0Version0

    public abstract FiscalResponse command72Variant0Version0​(java.lang.String serialNumber, java.lang.String tAXnumber) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command74Variant0Version0

    public abstract FiscalResponse command74Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command74Variant0Version1

    public abstract FiscalResponse command74Variant0Version1() throws java.io.IOException, FiscalException, java.lang.IllegalArgumentException
    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.lang.IllegalArgumentException`

  - ### command76Variant0Version0

    public abstract FiscalResponse command76Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command80Variant0Version0

    public abstract FiscalResponse command80Variant0Version0​(java.lang.String hz, java.lang.String mSec) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command83Variant0Version0

    public abstract FiscalResponse command83Variant0Version0​(java.lang.String taxA, java.lang.String taxB, java.lang.String taxC, java.lang.String taxD, java.lang.String taxE, java.lang.String taxF, java.lang.String taxG, java.lang.String taxH, java.lang.String decimalPoint) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command84Variant0Version0

    public abstract FiscalResponse command84Variant0Version0​(java.lang.String barcodeType, java.lang.String barcodeData, java.lang.String qRcodeSize) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command84Variant1Version0

    public abstract FiscalResponse command84Variant1Version0​(java.lang.String barcodeData, java.lang.String QRcodeSize) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command86Variant0Version0

    public abstract FiscalResponse command86Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command87Variant0Version0

    public abstract FiscalResponse command87Variant0Version0​(java.lang.String itemGroup) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command88Variant0Version0

    public abstract FiscalResponse command88Variant0Version0​(java.lang.String departmentNumber) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command89Variant0Version0

    public abstract FiscalResponse command89Variant0Version0​(java.lang.String testType) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command90Variant0Version0

    public abstract FiscalResponse command90Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command90Variant1Version0

    public abstract FiscalResponse command90Variant1Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command91Variant0Version0

    public abstract FiscalResponse command91Variant0Version0​(java.lang.String serialNumber, java.lang.String fMnumber) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command92Variant0Version0

    public abstract FiscalResponse command92Variant0Version0​(java.lang.String type) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command94Variant0Version0

    public abstract FiscalResponse command94Variant0Version0​(java.lang.String type, java.lang.String startDate, java.lang.String endDate) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command95Variant0Version0

    public abstract FiscalResponse command95Variant0Version0​(java.lang.String type, java.lang.String startNumber, java.lang.String endNumber) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command98Variant0Version0

    public abstract FiscalResponse command98Variant0Version0​(java.lang.String tAXnumber) throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### command99Variant0Version0

    public abstract FiscalResponse command99Variant0Version0() throws java.io.IOException, java.lang.IllegalArgumentException, FiscalException
    Throws:
      `java.io.IOException`
      `java.lang.IllegalArgumentException`
      `FiscalException`

  - ### Command255Read

    public abstract FiscalResponse Command255Read​(FiscalDeviceV2.cmd255Name cmdName, java.lang.String cmdIndex) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### Command255Write

    public abstract FiscalResponse Command255Write​(FiscalDeviceV2.cmd255Name cmdName, java.lang.String cmdIndex, java.lang.String cmdValue) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant0Version0

    public abstract FiscalResponse command140Variant0Version0() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant1Version0

    public abstract FiscalResponse command140Variant1Version0​(java.lang.String FIRM, java.lang.String Name, java.lang.String TypeTAXN, java.lang.String TAXN, java.lang.String RecName, java.lang.String VATN, java.lang.String Addr1, java.lang.String Addr2) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant2Version0

    public abstract FiscalResponse command140Variant2Version0​(java.lang.String firstFIRM, java.lang.String lastFIRM) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant3Version0

    public abstract FiscalResponse command140Variant3Version0​(java.lang.String FIRM) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant4Version0

    public abstract FiscalResponse command140Variant4Version0​(java.lang.String Option, java.lang.String startOrTAXN) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command140Variant5Version0

    public abstract FiscalResponse command140Variant5Version0​(java.lang.String Option, java.lang.String startFIRM) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command144Variant0Version0

    public abstract FiscalResponse command144Variant0Version0​(java.lang.String OperationType, java.lang.String Command) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command202Variant1Version0

    public abstract FiscalResponse command202Variant1Version0​(java.lang.String data) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command202Variant0Version0

    public abstract FiscalResponse command202Variant0Version0​(java.lang.String data) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command203Variant1Version0

    public abstract FiscalResponse command203Variant1Version0​(java.lang.String data) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command203Variant0Version0

    public abstract FiscalResponse command203Variant0Version0​(java.lang.String data) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command127Variant0Version0

    public abstract FiscalResponse command127Variant0Version0​(java.lang.String typeOper, java.lang.String stampName) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### command42Variant1Version0

    public abstract FiscalResponse command42Variant1Version0​(java.lang.String text, java.lang.String bold, java.lang.String italic, java.lang.String doubleH, java.lang.String underline, java.lang.String alignment) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getStatusBitDescriptionEn

    public java.lang.String getStatusBitDescriptionEn​(int byteIndex, int bitIndex)

  - ### command43Variant0Version0

    public abstract FiscalResponse command43Variant0Version0​(java.lang.String opCode, java.lang.String opPwd, java.lang.String tillNmb, java.lang.String reasonStorno, java.lang.String docNumber, java.lang.String dateTime, java.lang.String numberOfFM, java.lang.String Invoice, java.lang.String ToInvoice, java.lang.String Reason, java.lang.String NSale) throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getPrintColumnsSupported

    public abstract java.lang.String[] getPrintColumnsSupported()

  - ### getCapAutoCutter

    public abstract boolean getCapAutoCutter()

  - ### getcapFontSupported

    public abstract boolean getcapFontSupported()

  - ### getMAX_PLU

    public abstract java.lang.Integer getMAX_PLU()

  - ### getMaxNonFiscalText

    public abstract int getMaxNonFiscalText()

  - ### getMaxTextHeaderFooter

    public abstract int getMaxTextHeaderFooter()

  - ### isCapHasCutter

    public abstract boolean isCapHasCutter()

  - ### iscapFontSupported

    public abstract boolean iscapFontSupported()

  - ### getIsStatusCritical

    public static boolean getIsStatusCritical​(int stByte, int stBit)

  - ### setIsStatusCritical

    public static void setIsStatusCritical​(boolean[][] statusCritical)

  - ### setChkInputParams

    public void setChkInputParams​(boolean chkInputParams)

  - ### getMaxFooterLines

    public int getMaxFooterLines()

  - ### getMaxHeaderLines

    public int getMaxHeaderLines()

  - ### getMAX_PRICE

    public java.lang.Double getMAX_PRICE()

  - ### getMAX_DEPARTMENT

    public java.lang.Integer getMAX_DEPARTMENT()

  - ### getMaxStockGroup

    public java.lang.Integer getMaxStockGroup()

  - ### getMaxLinesToFeed

    public java.lang.Integer getMaxLinesToFeed()

  - ### getMaxDisplayText

    public int getMaxDisplayText()

  - ### getMaxOperators

    public java.lang.Integer getMaxOperators()

  - ### getCurrentOpCode

    public abstract java.lang.String getCurrentOpCode() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getDefaultOpPass

    public abstract java.lang.String getDefaultOpPass() throws java.io.IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getDefaultTillNumber

    public java.lang.String getDefaultTillNumber()

  - ### getMaxLogoW

    public abstract java.lang.Integer getMaxLogoW()

  - ### getMaxLogoH

    public abstract java.lang.Integer getMaxLogoH()